Bug 464100 - tomcat5 spec builds packages that are not released as a part of RHDS
tomcat5 spec builds packages that are not released as a part of RHDS
Status: CLOSED WONTFIX
Product: Red Hat Developer Suite
Classification: Retired
Component: Platform (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrick Macdonald
eclipse-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-26 05:39 EDT by Karel Volný
Modified: 2016-05-26 07:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-26 07:50:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Volný 2008-09-26 05:39:23 EDT
Description of problem:
While running tps-srpm test for the erratum 2008:0864, the list of packages built does not match the list of packages associated to the erratum.

Packages:
tomcat5-webapps-5.5.23-0jpp_12rh.noarch.rpm
tomcat5-admin-webapps-5.5.23-0jpp_12rh.noarch.rpm
tomcat5-servlet-2.4-api-javadoc-5.5.23-0jpp_12rh.noarch.rpm
tomcat5-jsp-2.0-api-javadoc-5.5.23-0jpp_12rh.noarch.rpm
tomcat5-jasper-javadoc-5.5.23-0jpp_12rh.noarch.rpm

are built, but they are not within the filelist for the erratum.

These are not released within the Red Hat Developer Suite v. 3 channel, and thus they should not be built from srpm in that branch.
Comment 1 Andrew Overholt 2008-09-29 15:06:12 EDT
What needs to be done here?  %if's added to the specfile?
Comment 2 Karel Volný 2008-09-30 06:41:56 EDT
(In reply to comment #1)
> What needs to be done here?  %if's added to the specfile?

while I would say yes, do some conditional build, make use of --with=..., dkovalsk (adding CC) says that commenting the parts out is the best way
Comment 6 Alexander Kurtakov 2016-05-26 07:50:51 EDT
Developer suite is not supported for years. Closing.

Note You need to log in before you can comment on or make changes to this bug.